# This is a sample build configuration for Other.
# Check our guides at https://confluence.atlassian.com/x/5Q4SMw for more examples.
# Only use spaces to indent your .yml configuration.
# -----
# You can specify a custom docker image from Docker Hub as your build environment.
# image: atlassian/default-image:latest

pipelines:
    branches:
        master:
            - step:
                name: Deploy to production
                deployment: production
                script:
                    - ssh noodlepa@93.113.174.134 -p 8888 <<< $'cd delivery.noodlepack.ro/ && git fetch --all && git reset --hard origin/master'
        development:
            - step:
                name: Deploy to staging
                deployment: staging
                script:
                    - ssh noodlepa@93.113.174.134 -p 8888 <<< $'cd stagingdelivery.noodlepack.ro/ && git fetch --all && git reset --hard origin/development'